package common.block;

import common.init.Config;
import common.init.ItemRegistry;
import common.init.Items;
import common.item.Item;
import common.rng.Random;
import common.world.State;

public class BlockGravel extends BlockFalling
{
    public Item getItemDropped(State state, Random rand, int fortune)
    {
    	int chance = Config.flintChance;
    	if(chance <= 0)
    		return ItemRegistry.getItemFromBlock(this);
    	fortune *= 3;
        if(fortune >= chance)
            fortune = chance - 1;
        return rand.chance(chance - fortune) ? Items.flint : ItemRegistry.getItemFromBlock(this);
    }
    
//    public MapColor getMapColor(IBlockState state)
//    {
//        return MapColor.stoneColor;
//    }
}
